# Location tax rates

Source: https://developer.avalara.com/products/mylodge/integration-guides/mylodgetax/vtw9997522105937/

Guide: MyLodgeTax

# Location tax rates

Understand how to retrieve and interpret tax rate details for specific locations using Avalara's MyLodgeTax API.

**Element type**: Required

**Endpoints/models**: [getOwnerTaxDetail](https://developer.avalara.com/api-reference/myLodgeAPI/v1/methods/Tax%20Rate/getOwnerTaxDetail/), [getOwnerTaxSummary](https://developer.avalara.com/api-reference/myLodgeAPI/v1/methods/Tax%20Rate/getOwnerTaxSummary/)

Important

Locations must receive a tax rate before they can add revenue.

Your UI must provide a way to see tax rate current details for each location. These rates can be pulled regularly using either the [getOwnerTaxDetail](https://developer.avalara.com/api-reference/myLodgeAPI/v1/methods/Tax%20Rate/getOwnerTaxDetail/) or [getOwnerTaxSummary](https://developer.avalara.com/api-reference/myLodgeAPI/v1/methods/Tax%20Rate/getOwnerTaxSummary/) endpoint, both of which return tax rate information for taxes owed by the location (property) owner, based on the rental platform. The frequency depends on how often rates/content is updated in MyLodgeTax.

The full tax rate responsibility for the owner is represented by the `Direct` marketplace. Requesting rates for a specific marketplace (`Airbnb`, `FlipKey`, `Vrbo`) will result in a response containing the balance of taxes the owner is responsible to collect and remit. This represents the inverse of any taxes that the marketplace has committed to collecting and remitting. If a marketplace isn’t specified in the query string, the response will always contain data for the `Direct` marketplace plus any rate information for marketplaces that differ from the full rate set represented by the `Direct` marketplace.

The response information varies depending on the endpoint that you run.

-   [getOwnerTaxSummary](https://developer.avalara.com/api-reference/myLodgeAPI/v1/methods/Tax%20Rate/getOwnerTaxSummary/): The total percentage rate is returned as an effective rate. Meaning, if any component percentage rate for the location is taxable, the `percentEffectiveRate` will represent a total that includes compounded tax on top of any taxable base.

-   [getOwnerTaxDetail](https://developer.avalara.com/api-reference/myLodgeAPI/v1/methods/Tax%20Rate/getOwnerTaxDetail/): This endpoint won’t perform any calculations and therefore, won’t compound taxable tax.

## Summary request

```
curl --location 'https://mylodgetaxapi-sbx.avalara.net/v1/locations/00001/ownertaxsummaries?effectivedate=2023-03-16' \
     --header 'Authorization: Bearer 17b9df20d81f06ceb45c1371dcbe49b086ax4nf47dc57ca7b20e0c21d18a343'
```

## Summary response

```
{
    "taxSummaries": [
        {
            "marketplace": "Direct",
            "percentEffectiveRate": 0.12,
            "fixedTaxes": []
        },
        {
            "marketplace": "Airbnb",
            "percentEffectiveRate": 0.12,
            "fixedTaxes": []
        },
        {
            "marketplace": "Vrbo",
            "percentEffectiveRate": 0.12,
            "fixedTaxes": []
        }
    ]
}
```

## Detail request

```
curl --location 'https://mylodgetaxapi-sbx.avalara.net/v1/locations/00001/ownertaxsdetails?effectivedate=2023-03-16' \
     --header 'Authorization: Bearer 17b9df20d81f06ceb45c1371dcbe49b086ax4nf47dc57ca7b20e0c21d18a343'
```

## Detail response

```
{
    "taxDetails": [
        {
            "fixedTaxes": [],
            "marketplace": "Direct",
            "percentTaxes": [
                {
                    "name": "Transient Occupancy Tax",
                    "rate": 0.1,
                    "taxable": false,
                    "jurisdiction": "Redding"
                },
                {
                    "name": "TMBID Tax",
                    "rate": 0.02,
                    "taxable": false,
                    "jurisdiction": "Redding"
                }
            ]
        },
        {
            "fixedTaxes": [],
            "marketplace": "Airbnb",
            "percentTaxes": [
                {
                    "name": "Transient Occupancy Tax",
                    "rate": 0.1,
                    "taxable": false,
                    "jurisdiction": "Redding"
                },
                {
                    "name": "TMBID Tax",
                    "rate": 0.02,
                    "taxable": false,
                    "jurisdiction": "Redding"
                }
            ]
        },
        {
            "fixedTaxes": [],
            "marketplace": "Vrbo",
            "percentTaxes": [
                {
                    "name": "Transient Occupancy Tax",
                    "rate": 0.1,
                    "taxable": false,
                    "jurisdiction": "Redding"
                },
                {
                    "name": "TMBID Tax",
                    "rate": 0.02,
                    "taxable": false,
                    "jurisdiction": "Redding"
                }
            ]
        }
    ]
}
```